#
# spec file for package gnome-volume-manager (Version 2.17.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-compat-mDNSResponder avahi-compat-mDNSResponder-devel avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel dbus-1-x11 desktop-translations diffutils eel eel-lang esound esound-devel fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc42 gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-desktop-lang gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-menus gnome-menus-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang gnutls gnutls-devel grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv intltool iso-codes keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libbeagle libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libcroco libdaemon libdb-4_5 libdrm libexif libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeprint libgnomeprint-devel libgnomeprint-lang libgnomeprintui libgnomeprintui-devel libgnomeprintui-lang libgnomesu libgnomesu-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libgpg-error-devel libgsf libjpeg libjpeg-devel libltdl-3 libmudflap42 libnotify libnotify-devel libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 librsvg libsexy libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libwnck libwnck-1-22 libwnck-devel libwnck-lang libxcrypt libxml2 libxml2-devel libzio licenses linux-kernel-headers m4 make man mktemp nautilus nautilus-devel nautilus-lang ncurses net-tools netcfg notification-daemon notification-daemon-lang nss-mdns openldap2-client openssl-certs orbit2 orbit2-devel pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-XML-Parser perl-base permissions pkg-config pmtools popt popt-devel pwdutils python rpm sed setserial sqlite startup-notification sysvinit tar tcpd texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           gnome-volume-manager
BuildRequires:  fdupes gnutls-devel intltool libglade2-devel libgnomeprintui-devel libnotify-devel libwnck-devel mDNSResponder-devel nautilus-devel perl-XML-Parser update-desktop-files
Version:        2.17.0
Release:        105.2
Url:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL v2 or later
Summary:        The GNOME Volume Manager
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.17/%{name}-%{version}.tar.bz2
Source1:        gnome-cdda-handler
Source2:        cdda-url-handler.schemas
Source3:        add-unknown-printer
Patch0:         gvm-schema-defaults.patch
Patch1:         suse-autorun.patch
Patch2:         153241.patch
Patch3:         gnome-volume-manager-printer-notify.patch
Patch4:         gvm-check-printer-configured-property.patch
%if %suse_version > 1000
Recommends:     control-center2
%else
Requires:       control-center2
%endif
Requires:       notification-daemon
Requires:       %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
The GNOME Volume Manager monitors volume-related events and responds
using a user-specified policy. The GNOME Volume Manager can automount
hotplugged drives or inserted removable media, autorun programs,
automatically play audio CDs and video DVDs, and import photos from a
digitalcamera. The GNOME Volume Manager does this entirely in user
space and withoutpolling. The GNOME Volume Manager sits at the top end
of a larger picture that aims tointegrate the Linux system from the
kernel up through the desktop and itsapplications.



Authors:
--------
    Robert Love <rml@novell.com>
    Jeffrey Stedfast <fejj@novell.com>

%lang_package
%debug_package
%prep
%setup -q
%patch
%patch1
%patch2
%patch3 -p1
%patch4 -p1

%build
autoreconf -f -i
# FIXME: --disable-schemas-install is not implemented in gnome-volume-manager-2.17.0
%configure\
	--disable-schemas-install\
	--with-console-auth-dir=/var/run/resmgr/classes/desktop
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_prefix}/lib/gnome-volume-manager
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_prefix}/lib/gnome-volume-manager/gnome-cdda-handler
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/add-unknown-printer
%suse_update_desktop_file gnome-volume-properties X-SuSE-ControlCenter-Hardware
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%post
/sbin/ldconfig
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
/sbin/ldconfig

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%config %{_datadir}/gnome/autostart/*.desktop
%{_datadir}/gnome-volume-manager
%{_prefix}/lib/gnome-volume-manager
# FIXME: Directory ownership: Should be owned by core GNOME package
%dir %{_datadir}/gnome/autostart

%files lang -f %{name}.lang

%changelog
* Fri Nov 30 2007 - crivera@suse.de
- Add gvm-check-printer-configured-property.patch to check
  for the printer.configured_existing property to avoid
  prompting the user for a printer we've already configured.
  This is part of the fix for 304933.
* Tue Aug 07 2007 - maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Mon Jul 30 2007 - crivera@suse.de
- Add gnome-volume-manager-printer-notify.patch.  This patch
  adds support for checking for properties set on printer
  devices by cups-autoconfig. It uses libnotify to inform the users
  that a new printer was configured if these properties are set.
* Mon Jan 29 2007 - sbrabec@suse.cz
- Removed remaining references to /opt/gnome.
* Wed Jan 17 2007 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov 14 2006 - fejj@suse.de
- Completes the fix for bug #213092
- Removed 196281.patch as it is part of g-v-m 2.17.0
- Removed gnome-volume-manager-po.patch as it is part of g-v-m 2.17.0
- Removed mount-opts-wildcard.patch as it is part of g-v-m 2.17.0
- Bumped package to g-v-m-2.17.0 so that we didn't have to maintain extra
  patches (only changes from 2.15.0 were these patches).
* Wed Nov 01 2006 - fejj@suse.de
- Updated suse-autorun.patch to apply cleanly
* Mon Oct 16 2006 - danw@suse.de
- Remove dead patches
* Thu Oct 12 2006 - fejj@suse.de
- Added mount-opts-wildcard.patch to as an addendum to 196281.patch,
  allowing admins to more easily set default mount options for all
  filesystem types using "*" rather than having to individually set
  each one.
* Wed Sep 27 2006 - fejj@suse.de
- Added fmask.patch to implement the fmask= support to finish off
  the fix for bug #119900
- Added 196281.patch to allow customers to set their own custom
  mount options on a volume/drive basis.
* Thu Aug 24 2006 - jhargadon@suse.de
- update to version 2.15.0
- src/manager.c (gvm_local_user): Renamed from
  gvm_user_at_console() and updated to use utmp.
- src/properties.c: Added Auto-Open
- Handle all media-player devices with photos, not just iPods
- Set the fmask option for vfat to remove the exec bit
- Spawn from ctx->mount_point instead of the user's home directory
* Tue Jun 06 2006 - sbrabec@suse.cz
- Merged upstream translations (#181950).
* Fri Apr 14 2006 - fejj@suse.de
- Added 338323.patch to build in order to make autorun execute
  the autorun script with the mount point as the CWD.
* Tue Apr 11 2006 - sreeves@suse.de
- Add gnome-volume-properties back to the Control Center to fix Defect #162719
  Appears someone accidentally removed it
* Thu Apr 06 2006 - fejj@suse.de
- Instead of launching `yast2 printer`, we can now launch gnome-cups-add
  since it has now been patched to read the usb printer list directly
  from the CUPS usb backend.
* Wed Apr 05 2006 - fejj@suse.de
- Updated add-unknown-printer to work around even more CUPS usb
  backend URI scheme crack (like not including the vendor name
  in the URI and/or using a string other than the product string
  in the product component of the URI)
* Tue Apr 04 2006 - fejj@suse.de
- Added add-unknown-printer script to the build and made the default
  printer handler in the schemas. This script tries its best to
  match against the CUPS usb driver URIs given a HAL UDI. If the
  printer isn't found to already be configured, it launches
  `/sbin/yast2 printer`.
* Tue Mar 28 2006 - fejj@suse.de
- Added patches for bugs #119900 and #153241
  119900: Improve default mount options
  153241: Creating Raid 0 on PPC getting device busy error
* Wed Mar 22 2006 - dobey@suse.de
- Added gvm-2GB-notify.patch to only notify the user of low disk
  space if the free space is less than 2GB and past the threshold
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=153338
* Mon Mar 20 2006 - fejj@suse.de
- Added patches for bugs #158750 and #334540
  158750 gnome: after resume from suspend-to-disk gnome
  opens two filebrowser windows
* Fri Mar 10 2006 - fejj@suse.de
- Updated to 1.5.15 to fix Novell bug #154381 and GNOME bug #332764
* Mon Mar 06 2006 - rml@suse.de
- spec file tweaks
* Mon Feb 27 2006 - fejj@suse.de
- Updated to 1.5.14 which fixes bug #150042 (dbus reconnect)
* Mon Feb 13 2006 - ro@suse.de
- remove obsolete patch
* Sat Feb 11 2006 - fejj@suse.de
- Updated to version 1.5.13 which includes Rodney's patch as
  well as support for mount -o flush and mount -o iocharset=<charset>.
* Fri Feb 10 2006 - dobey@suse.de
- Add patch to implement low disk space notification
* Sun Feb 05 2006 - ro@suse.de
- fix patch to apply
* Wed Feb 01 2006 - fejj@suse.de
- Updated to 1.5.12
- #146299 - gnome-volume-manager crash on login
* Mon Jan 30 2006 - fejj@suse.de
- added suse-autorun.patch to the build
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - fejj@suse.de
- Updated to 1.5.11
* Fri Jan 20 2006 - fejj@suse.de
- Updated to 1.5.10 and modified gvm-schema-defaults.patch
* Wed Jan 18 2006 - fejj@suse.de
- Added the Real(tm) gvm-schema-defaults.patch file
  (accidently added the xml file before).
* Fri Jan 13 2006 - fejj@suse.de
- Updated to 1.5.9 and gvm-schema-defaults.patch
* Thu Jan 05 2006 - fejj@suse.de
- Updated to 1.5.8 to fix a crash
* Mon Dec 19 2005 - rml@suse.de
- Update to 1.5.7
- Disable session management in autostart
* Thu Dec 15 2005 - fejj@suse.de
- Updated gvm-schema-defaults.patch for new banshee command-line arguments
* Mon Dec 12 2005 - fejj@suse.de
- Updated version to 1.5.6
* Wed Dec 07 2005 - fejj@suse.de
- Updated version to 1.5.5
* Wed Nov 09 2005 - rodrigo@suse.de
- Added gnome-volume-manager-autostart.patch to add the .desktop
  file needed for autostart implementation.
* Fri Oct 28 2005 - fejj@suse.de
- Updated version to 1.5.4
* Thu Oct 06 2005 - fejj@suse.de
- Updated version to 1.5.3 which fixes the camera issues (now supports
  storage, ptp, and proprietary albeit in a hacky way until the libgphoto2
  fdi files get fixed).
- Updated gvm-schema-defaults.patch with banshee's new command-line arguments
* Thu Sep 22 2005 - federico@novell.com
- Added cdda-url-handler.schemas and gnome-cdda-handler as a temporary
  solution for bug #116472.  We install a helper shell script as the
  handler for "cdda://" URIs for gnome-vfs, and then make that shell
  script pick up the CD player from the settings in
  gnome-volume-manager.  This script is borrowed from Fedora.
- Updated gvm-schema-defaults.patch so that the command line for banshee will
  have a %%d in it; this will make gnome-volume-manager substitute the %%d for
  the device to be used.
* Tue Aug 30 2005 - fejj@suse.de
- Updated version to 1.5.1 which has support for Palm Pilot devices (as
  required by the PRD), reworked prompt UI and a memory leak fix.
- Reverted libgphoto2 patch since it breaks PTP cameras and makes USB Mass
  Storage camera devices trigger a double import (because 2 udi's will match -
  the camera device itself will match against the libgphoto2
  camera.access_method and it will match a second time when HAL reports the
  camera's volume udi because it will contain a DCIM directory)
- Updated schema to remove banshee command-line arguments that aren't needed
* Fri Aug 26 2005 - meissner@suse.de
- make libgphoto2 detection match my FDI files for libgphoto2
  changes.
* Mon Aug 22 2005 - gekker@suse.de
- Update schema to launch f-spot-import script
* Thu Aug 18 2005 - fejj@suse.de
- Updated to version 1.3.5
- Removed previous banshee patch
- Added patch to set our own schema defaults
* Fri Aug 05 2005 - gekker@suse.de
- Patch to exec banshee rather than sonance
* Fri Jul 29 2005 - fejj@suse.de
- Update to version 1.3.4
* Mon Jul 11 2005 - gekker@suse.de
- Update to version 1.3.3 for fejj
* Wed Apr 20 2005 - ro@suse.de
- updat to 1.3.1
* Mon Apr 11 2005 - sbrabec@suse.cz
- Updated to version 1.2.1.
* Fri Mar 25 2005 - sbrabec@suse.cz
- New SuSE package, version 1.2.0 (#71059).
